export const DATA_URL = "/app/loadMatched";
export const UPLOAD_MATCHED_URL = "/app/uploadMatched";
export const POPULATE_RETAILERS_URL = "/app/populateRetailers";
export const UPLOAD_WINES_ADDITION_URL = "/app/uploadWinesAddition";
export const UPLOAD_WINES_FOR_NOISES_URL = "/app/uploadWinesForNoises";
export const UPLOAD_FOR_KEYWORD_GENERATOR = "/app/uploadForKeywordGenerator";
export const GLOBAL_NOISE_URL = '/app/globalNoises';
export const PRODUCER_NOISE_URL = '/app/producerNoise';
export const WINE_NOISE_URL = '/app/wineNoise';
export const REVERSE_ALIASES_URL = '/app/reverseAliases';
export const ELIMINATIONS_URL = '/app/eliminations';
export const WORD_CHANGES_URL = '/app/wordChanges';
export const SPREAD_TABLES_URL = '/app/spreadTables';
export const SUBSTITUTIONS_URL = '/app/substitutions';
export const RESERVED_WORDS_URL = '/app/reservedWords';
export const PRODUCER_URL = '/app/producer';
export const RETAILERS_URL = '/app/retailers';
export const WORK_GROUPS_URL = '/app/workGroups';
export const BOTTLES_URL = '/app/bottleSizes';
export const VINTAGES_URL = '/app/vintages';
export const UPDATE_WID_NOISES_URL = '/app/saveWineNoises';
export const UPDATE_GLOBAL_NOISES_URL = '/app/saveGlobalNoises';
export const UPDATE_PRODUCER_NOISES_URL = '/app/saveProducerNoises';
export const UPDATE_WA_NOTE = '/app/updateWaNote';
export const PRODUCERS_URL = "/app/producers";
export const PRODUCER_WINES_URL = "/app/producerWines";
export const WINE_DBS_URL = "/app/wineDbs";
export const REGION_CODES_URL = '/app/regionCodes';
export const COUNTRIES_URL = '/app/countries';
export const REGIONS_URL = '/app/regions';
export const LOCATIONS_URL = '/app/locations';
export const LOCALES_URL = '/app/locales';
export const SITES_URL = '/app/sites';
export const APPELLATIONS_URL = '/app/appellations';
export const VARIETIES_URL = '/app/varieties';
export const COLORS_URL = '/app/colors';
export const SWEETNESS_URL = '/app/sweetness';
export const TYPES_URL = '/app/types';
export const SAVE_WINE = '/app/saveWine';
export const UPDATE_WINE_DB = '/app/updateWineDb';
export const UPDATE_PRODUCER = '/app/updateProducer';
export const MERGE_WINES = '/app/mergeWines';
export const WINE_DB_DETAILS = '/app/wineDbDetails';
export const NEXT_WINE_DB_ID = '/app/nextWineDbId';
export const VINTAGES_REVERSE_MAP = '/app/vintagesReverseMap';
export const UPDATE_MONGO_MAP = '/app/updateMongoMap';
export const CHECK_ADDITION_MATCHED = '/app/checkAdditionMatched';
export const UPDATE_HISTORY = '/app/saveMatched';
export const SAVE_WORKING_STATE = '/app/saveWorkingState';
export const UNDO_MONGO_MAP_URL = '/app/undoMongoMap';
export const SAVE_WID_KEYWORD = '/app/saveWineKeywords';
export const DATA_SOURCES = {INTERNAL: 'internal', EXTERNAL: 'external', VALIDATION: 'validation'};
export const VALIDATION_TYPE = {AUTO: 'AUTO', MANUAL: 'MANUAL'};
export const WINE_MARKER = {DEFER: 'Defer', INSUFFICIENT: 'Insufficient'};
export const SOURCE = {VALIDATION: 'VALIDATION', WINE_ADDITION: 'WINE_ADDITION', NARROW: 'NARROW', KW_GENERATOR: 'KW_GENERATOR'};
export const ELIMINATION_TYPE = {WINE: 'WINE', PRODUCER: 'PRODUCER'};
export const ALIAS_TYPE = {MASS_CHANGES: 'MASS_CHANGES', CUSTOM_CHANGES: 'CUSTOM_CHANGES'};
export const KEYWORD_TYPE = {
    BASE: 'BASE',
    APPELLATION: 'APPELLATION',
    COLOR: 'COLOR',
    COMMON_MODIFIER: 'COMMON_MODIFIER'
};
export const SUBSTITUTION_TYPE = {COLOR: 'COLOR', COLOR_NOT: 'COLOR_NOT'};
export const RESERVED_TYPE = {
    RED_OPPOSITE: 'RED_OPPOSITE',
    RESERVE_WORD: 'RESERVE_WORD',
    ROSE_OPPOSITE: 'ROSE_OPPOSITE',
    WHITE_OPPOSITE: 'WHITE_OPPOSITE'
};
export const RP_PROD_BASE_URL = "https://robertparker.com/wines/";
export const RP_WSF_BASE_URL = "https://wsf.robertparker.com/wines/";
export const MENU_TYPE = "SIMPLE";
export const VIP_VARIETIES = ['proprietary blend', 'pinot noir', 'chardonnay', 'riesling', 'cabernet sauvignon', 'syrah', 'sauvignon blanc', 'merlot', 'zinfandel', 'sangiovese'];