package wine.alert

import enums.LineTerminator
import enums.Separator

class DataHistory {

    WebCrawler webCrawler
    String charsetEncoding
    Separator outputDelimiter
    LineTerminator lineTerminator
    String outputEncoding

    Date dateCreated
    Date lastUpdated

    static constraints = {
        webCrawler unique: true
        charsetEncoding nullable: true, blank: true
        outputEncoding nullable: true, blank: true
    }
}
