package wine.alert

import enums.RollupType
import enums.Status

class RollupLog {
    Status status
    Date dateStart
    Date dateEnd
    String message
    String filename
    RollupType type
    Date dateCreated
    Date lastUpdated

    static constraints = {
        message nullable: true, blank: true
        filename nullable: true
        dateEnd nullable: true
    }

    static mapping = {
        message sqlType: "text"
        filename sqlType: "text"
    }
}
