package wine.db

import wine.db.enums.Source

class ProducerKeyword {

    Producer producer
    String keyword

    Source source

    Date dateCreated
    Date lastUpdated

    static constraints = {
        producer unique: true
        keyword nullable: true

        source nullable: true
    }

    static mapping = {
        datasource "wineDatabase"
        keyword sqlType: "text"
    }
}
