package wine.db

class ProducerNoise {

    String noise
    Producer producer

    Date dateCreated
    Date lastUpdated

    static constraints = {
        producer unique: "noise"

        dateCreated nullable: true
        lastUpdated nullable: true
    }

    static mapping = {
        datasource "wineDatabase"
        noise sqlType: "text"
    }
}
