package wine.db

import wine.db.enums.Source

class RegionCode {

    String id
    String name

    Source source

    Date dateCreated
    Date lastUpdated

    static constraints = {
        id length: 2
        name nullable: true

        source nullable: true
    }

    static mapping = {
        datasource "wineDatabase"
        id column: 'id', generator: 'assigned'
    }
}
