package wine.db

class WineNoise {

    String noise
    WineDb wineDb

    Date dateCreated
    Date lastUpdated

    static constraints = {
        wineDb unique: "noise"

        dateCreated nullable: true
        lastUpdated nullable: true
    }

    static mapping = {
        datasource "wineDatabase"
        noise sqlType: "text"
    }
}
