package wine.alert

/**
 * Cron Job to prepare required data for keyword match.
 */
class RemapKeywordsJob {
    static triggers = {
        cron name: "RemapKeywords", cronExpression: "0 45 2 ? * *" // everyday at 2:45am
      //simple repeatInterval: 5000l // execute job once in 5 seconds
    }

    def concurrent = false

    def keywordsService

    def execute() {
        // execute job
        keywordsService.prepare()
    }
}
