package wine.alert

import enums.RollupType
import wine.alert.utils.ServerUtils

/**
 * Cron Job to create rollup files.
 */
class RollupJob {
    static triggers = {
        //simple repeatInterval: 5000l // execute job once in 5 seconds
    }

    def rollupService

    def execute(context) {
        if (!ServerUtils.isDefault()) {
            return
        }

        sleep(3000) // 3 seconds delay
        RollupType rollupType = context.mergedJobDataMap.get('rollupType')
        if (rollupType == RollupType.WA) {
            rollupService.executeForWineAlert()
        } else {
            rollupService.executeForRP()
        }
    }
}
