<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'retailerGroup.label', default: 'RetailerGroup')}" />
        <title>
        <g:message code="default.list.label" args="[entityName]" />
        <g:if test="${grails.util.Environment.current != grails.util.Environment.PRODUCTION}">
            &nbsp;[${grails.util.Environment.current.name}]
        </g:if>
        </title>
    </head>
    <body>
        <a href="#list-retailerGroup" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-retailerGroup" class="content scaffold-list" role="main">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${retailerGroupList}" properties="['name', 'running', 'retailersSize', 'feedUrl', 'charset', 'clientIdPattern', 'id']" />

            <div class="pagination">
                <g:paginate total="${retailerGroupCount ?: 0}" />
            </div>
        </div>
    </body>
</html>