<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'wineKeyword.label', default: 'WineKeyword')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#list-wineKeyword" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-wineKeyword" class="content scaffold-list" role="main">
            <div class="col-md-6">
                <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            </div>
            <div class="col-md-6 text-right">
                <g:form action="index" method="GET" class="table-filter form-inline">
                    <label class="sr-only">Search</label>
                    <g:field type="text" name="q" value="${params.get('q')}" class="form-control" />
                    <g:submitButton name="find" value="${g.message(code: 'find.label', default: 'Search')}" class="btn btn-default" />
                </g:form>
            </div>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${wineKeywordList}"
                     properties="['wineDbId', 'wineDbDescription', 'producerKeyword', 'baseKeyword', 'appellationKeyword', 'colorKeyword',
                                  'commonModifiersKeyword', 'modifiersKeyword', 'customNotKeyword', 'globalNotKeyword']"/>

            <div class="pagination">
                <g:paginate total="${wineKeywordCount ?: 0}" />
            </div>
        </div>
    </body>
</html>