<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'webCrawler.label', default: 'WebCrawler')}" />
        <title><g:message code="wineMatchConfig.create.label" /></title>
    </head>
    <body>
        <a href="#create-webCrawler" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="wineMatchConfig.list.label" default="Wine Match Config List" /></g:link></li>
            </ul>
        </div>
        <div id="create-webCrawler" class="content scaffold-create" role="main">
            <h1><g:message code="wineMatchConfig.create.label" default="Create Wine Match Config" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.webCrawler}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.webCrawler}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form action="save">
                <g:render template="fields" />
                <fieldset class="buttons">
                    <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
