<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'webCrawler.label', default: 'WebCrawler')}" />
        <title><g:message code="wineMatchConfig.list.label" /></title>
    </head>
    <body>
        <a href="#list-webCrawler" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="wineMatchConfig.new.label" default="New Wine Match Config" /></g:link></li>
            </ul>
        </div>
        <div id="list-webCrawler" class="content scaffold-list" role="main">
            <div class="row content-title">
                <div class="col-md-6">
                    <h1><g:message code="wineMatchConfig.list.label" default="Wine Match Config List" /></h1>
                </div>
                <div class="col-md-6 text-right">
                    <g:form action="index" method="GET" class="table-filter form-inline">
                        <label class="sr-only">Search</label>
                        <g:field type="text" name="q" value="${params.get('q')}" class="form-control" />
                        <g:submitButton name="find" value="${g.message(code: 'find.label', default: 'Search')}" class="btn btn-default" />
                    </g:form>
                </div>
            </div>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${webCrawlerList}" controllerName="${controllerName}"
                     properties="['code', 'historyName', 'matchInputSeparator', 'keywordIndexes', 'historyIndexes',
                                  'bottleSizeIndex', 'vintageIndex', 'priceIndex', 'taxStatusIndex', 'urlIndex', 'descriptionIndexes', 'skuIndex']" />

            %{--<div class="pagination">
                <g:paginate total="${webCrawlerCount ?: 0}" />
            </div>--}%
        </div>
    </body>
</html>