<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'webCrawler.label', default: 'WebCrawler')}" />
        <title><g:message code="wineMatchConfig.show.label" /></title>
    </head>
    <body>
        <a href="#show-webCrawler" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="wineMatchConfig.list.label" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="wineMatchConfig.new.label" /></g:link></li>
            </ul>
        </div>
        <div id="show-webCrawler" class="content scaffold-show" role="main">
            <h1><g:message code="wineMatchConfig.show.label" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <ol class="property-list">
                <f:with bean="webCrawler">
                    <f:display property="code" />
                    <f:display property="name" />
                    <f:display property="url" />
                    <f:display property="pageType" />
                    <f:display property="outputDelimiter" label="Match Input Separator" />
                    <br />
                    <f:display property="historyName" />
                    <f:display property="keywordIndexes" />
                    <f:display property="historyIndexes" />
                    <f:display property="bottleSizeIndex" />
                    <f:display property="vintageIndex" />
                    <f:display property="priceIndex" />
                    <f:display property="urlIndex" />
                    <f:display property="descriptionIndexes" />
                    <f:display property="skuIndex" />
                    <f:display property="taxStatusIndex" />
                    <f:display property="searchVintage" />
                    <f:display property="vintageDefaultNv" />
                    <f:display property="searchBottleSize" />
                    <f:display property="bottleSizeDefaultBlank" />
                </f:with>
            </ol>
            <g:form action="delete" id="${this.webCrawler.id}" method="DELETE">
                <fieldset class="buttons">
                    <g:link class="edit" action="edit" id="${this.webCrawler.id}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
                    <input class="delete" type="submit" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
