<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'workGroup.label', default: 'WorkGroup')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#list-workGroup" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-workGroup" class="content scaffold-list" role="main">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <div class="freeze-table">
                <table>
                    <thead>
                    <tr>
                        <g:sortableColumn property="id" title="ID" />
                        <g:sortableColumn property="name" title="Group Name" />
                        <g:sortableColumn property="lastUpdated" title="Last Updated" />
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    <g:each in="${workGroupList}" var="bean" status="i">
                        <tr class="${(i % 2) == 0 ? 'even' : 'odd'}">
                            <td><g:link method="GET" resource="${bean}">${bean.id}</g:link></td>
                            <td><g:link method="GET" resource="${bean}">${bean.name}</g:link></td>
                            <td>${bean.lastUpdated}</td>
                            <td><g:link method="GET" action="delete" id="${bean.id}" class="confirm-delete">Delete</g:link></td>
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>

            <div class="pagination">
                <g:paginate total="${workGroupCount ?: 0}" />
            </div>
        </div>
    </body>
</html>