<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'workGroup.label', default: 'WorkGroup')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#show-workGroup" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="show-workGroup" class="content scaffold-show" role="main">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            %{--<f:display bean="workGroup" />--}%
            <ol class="property-list workGroup">

                <li class="fieldcontain">
                    <span id="name-label" class="property-label">Name</span>
                    <div class="property-value" aria-labelledby="name-label">${workGroup?.name}</div>
                </li>

                <li class="fieldcontain">
                    <span id="dateCreated-label" class="property-label">Date Created</span>
                    <div class="property-value" aria-labelledby="dateCreated-label">
                        <g:formatDate date="${workGroup?.dateCreated}"/>
                    </div>
                </li>

                <li class="fieldcontain">
                    <span id="lastUpdated-label" class="property-label">Last Updated</span>
                    <div class="property-value" aria-labelledby="lastUpdated-label">
                        <g:formatDate date="${workGroup?.lastUpdated}"/>
                    </div>
                </li>

                <li class="fieldcontain">
                    <span id="workGroupWebCrawlers-label" class="property-label">Retailers</span>
                    <div class="property-value" aria-labelledby="workGroupWebCrawlers-label">
                        <ul>
                            <g:each in="${workGroup?.workGroupWebCrawlers?.sort {it.webCrawler?.code}}">
                                <li><g:link controller="workGroupWebCrawler" action="show" id="${it.id}">${it.webCrawler?.code}</g:link></li>
                                %{--<li>${it.webCrawler?.code}</li>--}%
                            </g:each>
                        </ul>
                        <g:link controller="workGroupWebCrawler" action="create" params="['workGroup.id': this.workGroup?.id]">Add Retailer</g:link>
                    </div>
                </li>

            </ol>
            <g:form resource="${this.workGroup}" method="DELETE">
                <fieldset class="buttons">
                    <g:link class="edit" action="edit" resource="${this.workGroup}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
                    <input class="delete" type="submit" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
