<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'workGroupWebCrawler.label', default: 'WorkGroupWebCrawler')}" />
        <title><g:message code="default.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#create-workGroupWebCrawler" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li>
                    <g:if test="${params?.long('workGroup.id')}">
                        <g:link class="list" controller="workGroup" action="show" id="${params?.long('workGroup.id')}">Work Group</g:link>
                    </g:if>
                    <g:else>
                        <g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link>
                    </g:else>
                </li>
            </ul>
        </div>
        <div id="create-workGroupWebCrawler" class="content scaffold-create" role="main">
            <h1>Add Retailer</h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.workGroupWebCrawler}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.workGroupWebCrawler}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form action="save">
                <fieldset class="form">
                    %{--<f:all bean="workGroupWebCrawler"/>--}%
                    <f:with bean="workGroupWebCrawler">
                        <f:field property="workGroup"/>
                        <f:field property="webCrawler" label="Retailer">
                            <g:select from="${webCrawlers}" name="webCrawler.id" optionKey="id" optionValue="code" value="${this.workGroupWebCrawler?.webCrawler}"/>
                        </f:field>
                    </f:with>
                </fieldset>
                <fieldset class="buttons">
                    <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
