<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'workGroupWebCrawler.label', default: 'WorkGroupWebCrawler')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#show-workGroupWebCrawler" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                %{--<li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>--}%
                <li><g:link controller="workGroup" class="list" action="show" id="${workGroupWebCrawler?.workGroup?.id}">Work Group</g:link></li>
                %{--<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>--}%
            </ul>
        </div>
        <div id="show-workGroupWebCrawler" class="content scaffold-show" role="main">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            %{--<f:display bean="workGroupWebCrawler" />--}%
            <ol class="property-list workGroupWebCrawler">

                <li class="fieldcontain">
                    <span id="workGroup-label" class="property-label">Work Group</span>
                    <div class="property-value" aria-labelledby="workGroup-label">
                        <g:link controller="workGroup" action="show" id="${workGroupWebCrawler?.workGroup?.id}">${workGroupWebCrawler?.workGroup?.name}</g:link>
                    </div>
                </li>

                <li class="fieldcontain">
                    <span id="webCrawler-label" class="property-label">Retailer</span>
                    <div class="property-value" aria-labelledby="webCrawler-label">${workGroupWebCrawler?.webCrawler?.code}</div>
                </li>

                <li class="fieldcontain">
                    <span id="dateCreated-label" class="property-label">Date Created</span>
                    <div class="property-value" aria-labelledby="dateCreated-label">
                        <g:formatDate date="${workGroupWebCrawler?.dateCreated}"/>
                    </div>
                </li>

                <li class="fieldcontain">
                    <span id="lastUpdated-label" class="property-label">Last Updated</span>
                    <div class="property-value" aria-labelledby="lastUpdated-label">
                        <g:formatDate date="${workGroupWebCrawler?.lastUpdated}"/>
                    </div>
                </li>

            </ol>
            <g:form resource="${this.workGroupWebCrawler}" method="DELETE">
                <fieldset class="buttons">
                    %{--<g:link class="edit" action="edit" resource="${this.workGroupWebCrawler}"><g:message code="default.button.edit.label" default="Edit" /></g:link>--}%
                    <input class="delete" type="submit" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
