package enums

/**
 * Created by marjan on 1/15/17.
 */
enum WineProperty {

    APPELLATION("Appellation"),
    BOTTLE_SIZE("Bottle Size"),
    COLOR("Color"),
    COUNTRY("Country"),
    CURRENCY("Currency"),
    CUSTOM("Custom"),
    DESCRIPTION("Description"),
    IN_STOCK("In Stock"),
    PRICE("Price"),
    PROD_ID("PRODID"),
    PRODUCER("Producer"),
    QUANTITY("Quantity"),
    RATING("Rating"),
    REGION("Region"),
    REGULAR_PRICE("Regular Price"),
    SALE_PRICE("Sale Price"),
    SUB_APPELLATION("Sub Appellation"),
    SUB_REGION("Sub Region"),
    TYPE("Type"),
    URL("URL"),
    VARIETAL("Varietal"),
    VINTAGE("Vintage"),
    WINE_TITLE("Wine Title"),

    // Deprecated
    SELL_PRICE("Sale Price")

    private final String value

    WineProperty(String value) {
        this.value = value
    }

    String value() { value }
}