package wine.alert.crawler.request

/**
 * Crawl element for crawl request
 */
class CrawlElement {
    enum DataType {
        DOUBLE, INTEGER, STRING
    }

    enum IgnoreType {
        BLANK, CONTAINS, EQUALS, NOT_SET
    }

    Integer index
    Integer order
    String key
    String selector
    String noises
    boolean isHtml = false
    boolean isAttr = false
    String attrName
    boolean isUrl = false
    IgnoreType ignoreType
    String ignoreValues
    DataType dataType
}
