package wine.alert.crawler.response

/**
 * Common rest response
 */
class CommonResponse implements IResponse {

    private static final String DEFAULT_CHARSET = "UTF-8"

    InputStream inputStream
    String charset

    String getContent() {
        inputStream.getText(charset ?: DEFAULT_CHARSET)
    }
}
