package wine.alert.crawler.response

import org.apache.http.MethodNotSupportedException

/**
 * Rest response for feed URLs
 */
class FeedResponse implements IResponse {
    List<String> urls

    String getCharset() {
        throw new MethodNotSupportedException("Method getCharset is not supported by FeedResponse")
    }

    InputStream getInputStream() {
        throw new MethodNotSupportedException("Method getInputStream is not supported by FeedResponse")
    }

    String getContent() {
        throw new MethodNotSupportedException("Method getContent is not supported by FeedResponse")
    }
}
