package wine.db

import grails.test.mixin.Mock
import grails.test.mixin.TestFor
import spock.lang.Specification

/**
 * See the API for {@link grails.test.mixin.services.ServiceUnitTestMixin} for usage instructions
 */
@Mock([Producer, WineDb])
@TestFor(WineService)
class WineServiceSpec extends Specification {

    def setup() {
    }

    def cleanup() {
    }

    void "isWineDbExists test"() {
        given:
        String id = '1'
        new WineDb(
                id: id,
                name: 'Wine',
                color: 'Red',
                type: "Table",
                sweetness: 'Dry',
                variety: '',
                producer: new Producer(id: '1', name: 'Test Producer'),
                wineCountry: 'US',
                wineRegion: 'California',
                wineLocation: 'Chicago',
                status: WineDb.Status.ACTIVE
        ).save(flush: true)

        when:
        def e = service.isWineDbExists(id)

        then:
        e
    }
}
