import React from 'react';
import ReactDOM from 'react-dom';
import Validation from './components/Validation.jsx';
import Narrow from './components/Narrow.jsx';
import Addition from "./components/Addition";
import NoiseParser from "./components/NoiseParser";
import WineSearcher from "./components/WineSearcher";
import KeywordGenerator from "./components/KeywordGenerator";

(function () {
    if (document.getElementById("validation")) {
        ReactDOM.render(<Validation/>, document.getElementById('validation'));
    } else if (document.getElementById("narrow")) {
        ReactDOM.render(<Narrow/>, document.getElementById('narrow'));
    } else if (document.getElementById("addition")) {
        ReactDOM.render(<Addition/>, document.getElementById('addition'));
    } else if (document.getElementById("wineSearcher")) {
        ReactDOM.render(<WineSearcher/>, document.getElementById('wineSearcher'));
    } else if (document.getElementById("noiseParser")) {
        ReactDOM.render(<NoiseParser/>, document.getElementById('noiseParser'));
    } else if (document.getElementById("keywordGenerator")) {
        ReactDOM.render(<KeywordGenerator/>, document.getElementById('keywordGenerator'));
    }
})();
