package wine.alert

import org.apache.commons.lang.StringUtils

class Currency {

    static transients = ['aliases']

    String code
    String name
    String alias

    Date dateCreated
    Date lastUpdated

    static constraints = {
        alias nullable: true
    }

    def getAliases() {
        List<String> aliasList = new ArrayList<>()
        if (StringUtils.isNotBlank(alias)) {
            alias.split("\\|").each {
                aliasList.add(it)
            }
        }
        return aliasList
    }
}
