package wine.alert

import enums.Status

class ValidationLog {

    User user
    String source
    String retailers
    Date matchedDate
    String matchedFilter
    Integer currentRecord
    Status status = Status.IN_PROGRESS

    Date dateCreated
    Date lastUpdated

    static constraints = {
        retailers nullable: true, blank: true
        matchedDate nullable: true, blank: true
    }
}
