package wine.db

class Variety {

    String name
    String defaultColor

    Date dateCreated
    Date lastUpdated

    static constraints = {
        name unique: true
        defaultColor nullable: true, blank: true

        dateCreated nullable: true
        lastUpdated nullable: true
    }

    static mapping = {
        datasource "wineDatabase"
    }
}
