package wine.db

class WineAppellation {

    String country
    String region
    String location
    String locale
    String site

    RegionCode regionCode

    String importTag

    Date dateCreated
    Date lastUpdated

    static constraints = {
        region nullable: true
        location nullable: true
        locale nullable: true
        site nullable: true

        regionCode nullable: true

        importTag nullable: true
    }

    static mapping = {
        datasource "wineDatabase"
    }
}
