package wine.db

import enums.Status
import grails.transaction.Transactional
import org.springframework.beans.factory.annotation.Value

@Transactional
class WineLabelService {

    @Value('${application.api.wine-recognition.url.temp-img}')
    private String tempImageUrl

    @Value('${application.api.wine-recognition.url.data-img}')
    private String dataImageUrl

    String getImageUrl(String imagedir, String status) {

        return (status.equals(Status.APPROVED.value()) ? dataImageUrl : tempImageUrl ) + imagedir
    }
}
