<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'jobLog.label', default: 'JobLog')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#list-jobLog" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li>
                    <g:link action="report">
                        <span class="glyphicon glyphicon-list-alt"></span> Crawler Report
                    </g:link>
                </li>
            </ul>
        </div>
        <div class="pull-right">
            <g:form action="index" method="GET" class="table-filter form-inline">
                <label class="sr-only">Search</label>
                <g:field type="text" name="q" value="${params.get('q')}" class="form-control" />
                <g:submitButton name="find" value="${g.message(code: 'find.label', default: 'Search')}" class="btn btn-default" />
            </g:form>
        </div>
        <div id="list-jobLog" class="content scaffold-list" role="main">
            <div class="row content-title">
                <div class="col-md-6">
                    <h1><g:message code="default.list.label" args="[entityName]" /></h1>
                    <g:if test="${flash.message}">
                        <div class="message" role="status">${flash.message}</div>
                    </g:if>
                </div>
            </div>
            <f:table collection="${jobLogList}" properties="['code', 'name', 'totalRecords', 'totalPrices', 'validation', 'logStatus', 'dateStart', 'dateEnd', 'executionTime', 'logMessage']" />

            <div class="pagination">
                <g:paginate total="${jobLogCount ?: 0}" params="${params.subMap(['q', 'code'])}" />
            </div>
        </div>
    </body>
</html>
