<div id="approveModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">
                    <g:message code="wineLabel.assign.modal.title" default="Assign Label"/>
                </h4>
            </div>
            <div class="modal-body odd">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="form-group row">
                            <label class="col-sm-3">
                                <g:message code="wineLabel.labelSubmitted.label" default="Label Submitted"/>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="form-group row">
                            <label class="col-sm-2">
                                <g:message code="wineLabel.wineSearch.label" default="Wine Search"/>
                            </label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control">
                            </div>
                            <div class="col-sm-1">
                                <button class="btn btn-default btn-search-wine">
                                    <g:message default="Search" code="wineLabel.button.search.label"/>
                                </button>
                            </div>
                        </div>
                        <table>
                            <thead>
                                <tr>
                                    <th><g:message code="wineLabel.vintage.title" default="Vintage"/> </th>
                                    <th><g:message code="wineLabel.name.title" default="Name"/> </th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <g:form controller="wineLabel" action="approve" id="" method="GET">
                    <g:hiddenField name="assignedWine" value=""/>
                    <button type="button" class="btn btn-link" data-dismiss="modal">
                        <g:message code="default.button.cancel.label" default="Cancel"/>
                    </button>
                    <button type="submit" class="btn btn-default" >
                        <g:message code="wineLabel.button.assign.label" default="Assign label"/>
                    </button>
                </g:form>
            </div>
        </div>
    </div>
</div>