<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'workGroup.label', default: 'WorkGroup')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#edit-workGroup" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="edit-workGroup" class="content scaffold-edit" role="main">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.workGroup}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.workGroup}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.workGroup}" method="PUT">
                <g:hiddenField name="version" value="${this.workGroup?.version}" />
                <fieldset class="form">
                    %{--<f:all bean="workGroup"/>--}%
                    <div class="fieldcontain required">
                        <label for="name">Name
                            <span class="required-indicator">*</span>
                        </label>
                        <input type="text" name="name" value="${this.workGroup?.name}" required="" id="name">
                    </div>
                    <div class="fieldcontain">
                        <label for="retailers">Retailer Codes (Separated by comma)</label>
                        <textarea name="retailers" id="retailers">${params?.retailers ?: this.workGroup?.workGroupWebCrawlers?.collect {it.webCrawler?.code}?.sort()?.join(", ")}</textarea>
                    </div>
                    %{--<div class="fieldcontain">
                        <span id="workGroupWebCrawlers-label" class="property-label"><label for="workGroupWebCrawlers">Retailers</label></span>
                        <div class="property-value" aria-labelledby="workGroupWebCrawlers-label">
                            <ul>
                                <g:each in="${this.workGroup?.workGroupWebCrawlers?.sort {it.webCrawler?.code}}">
                                    <li><g:link controller="workGroupWebCrawler" action="show" id="${it.id}">${it.webCrawler?.code}</g:link></li>
                                    <li>${it.webCrawler?.code}</li>
                                </g:each>
                            </ul>
                            <g:link controller="workGroupWebCrawler" action="create" params="['workGroup.id': this.workGroup?.id]">Add Retailer</g:link>
                        </div>
                    </div>--}%
                </fieldset>
                <fieldset class="buttons">
                    <input class="save" type="submit" value="${message(code: 'default.button.update.label', default: 'Update')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>
