package enums

/**
 * Created by marjan on 1/21/17.
 */
enum Status {

    APPROVED("APPROVED"),
    DELETED("DELETED"),
    DRAFT("DRAFT"),
    FAILED("FAILED"),
    IN_PROGRESS("IN_PROGRESS"),
    PROCESSED("PROCESSED"),
    PUBLISHED("PUBLISHED"),
    QUEUED("QUEUED"),
    REJECTED("REJECTED"),
    RUNNING("RUNNING"),
    SUCCESS("SUCCESS"),
    WAIT_FOR_APPROVAL("WAIT_FOR_APPROVAL"),
    WARN("WARN"),

    private final String value

    Status(String value) {
        this.value = value
    }

    String value() { value }

}
