package wine.alert.crawler.response

/**
 * Interface for rest response
 */
interface IResponse {

    /**
     * Gets the charset
     * @return String
     */
    String getCharset()

    /**
     * Gets the response input stream
     * @return the instance of {@link InputStream}
     */
    InputStream getInputStream()

    /**
     * Gets the contents of the response
     * @return String
     */
    String getContent()
}
