package wine.alert.crawler.rest

import wine.alert.crawler.response.IResponse

/**
 * Interface for rest services
 */
interface IRest {

    /**
     * Executes rest request
     * @return the rest response as string
     */
    IResponse execute()

    /**
     * Methods for clean up purpose. Eg: Close SFTP session
     */
    void done()
}
